Bug 84909 (ImpressDraw-Toolbars) - [META] Enhancing Impress/Draw toolbars and context menu
Summary: [META] Enhancing Impress/Draw toolbars and context menu
Status: NEW
Alias: ImpressDraw-Toolbars
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.0.2 target:5....
Keywords:
Depends on: 39523 84848 86601 86628 89155 89565 90455 92557 94535 97604 55353 76653 83576 84213 84233 84235 84236 84258 84912 86607 86609 86620 87676 87753 87808 87822 89116 89540 90721 109291
Blocks: Draw-UX Toolbars Impress-UX
  Show dependency treegraph
 
Reported: 2014-10-11 11:00 UTC by Yousuf Philips (jay)
Modified: 2017-10-04 18:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-10-11 11:00:16 UTC
Similar to bug 81475, I am working on improving Impress' standard, text formatting and presentation toolbars and right-click context menu with the help of OOo's tracking data.

Some initial work and discussion has already been done regarding improvements to the toolbars, which can be found at < https://redmine.documentfoundation.org/boards/1/topics/85 >.
Comment 1 Yousuf Philips (jay) 2014-11-11 06:16:37 UTC
Put in the first patch to improve the standard, common task and drawing object toolbars. https://gerrit.libreoffice.org/#/c/12359/
Comment 2 Commit Notification 2014-11-11 14:47:23 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8caebee126cb61e964604d10de54410ddca11d20

fdo#84909 adding and hiding buttons in standard and common task toolbars

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) 2014-11-14 19:32:57 UTC
Put in a patch to reorganize Draw's standard toolbar to look similar to writer, calc, impress - https://gerrit.libreoffice.org/#/c/12360/
Comment 4 Yousuf Philips (jay) 2014-11-16 04:36:33 UTC
Sent in a patch with mainly deal with the text toolbar in impress and draw - https://gerrit.libreoffice.org/#/c/12470/
Comment 5 Commit Notification 2014-11-18 09:29:09 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d38f7b74daf91ad47557bf8eca8946fd0ad97cf8

fdo#84909 more reworking of the toolbars in impress and draw

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-11-18 09:30:20 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d72e987c545a56284047b5a70deea1bf99e55062

fdo#84909 add distribution selection to drawing toolbar

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-11-24 20:46:31 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68c1cc33810e14c2e45e7da9f7a60429c8a942a6

fdo#84909 move zoom to object and added/hid/unhid some other buttons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-11-26 12:57:01 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a08408aae1941adf90b5fffd8691a00e17dbadf&h=libreoffice-4-4

fdo#84909 move zoom to object and added/hid/unhid some other buttons

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-12-13 05:35:19 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56cc4c4f4c6e1807ab47965f9e40357b5b6eaf9d

fdo#84909 enable start from current slide and add its tango icons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-12-13 05:36:38 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c43db003ddac6bb35287ef078fbaa013bb5fd208&h=libreoffice-4-4

fdo#84909 enable start from current slide and add its tango icons

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Mike §chinagl 2014-12-20 22:35:39 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

The default toolbars were reorganized to bring frequent used features to the toolbars.
Comment 12 Mike §chinagl 2014-12-20 22:36:18 UTC
Someone knowledgeable should change the status of this bug
Comment 13 Commit Notification 2014-12-28 14:44:41 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74d84c5065aa7332dcc1af1844f9b8af589165aa

fdo#84909 moved presentation features to standard toolbar

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-01-05 02:14:19 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=382361a385a6a99ca71d9d589d6e402d5c0a007c

fdo#84909 remove insert image button from shapes toolbar

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2015-01-05 11:52:43 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10a202cbc1abee7963c58180e7791b480da817a2&h=libreoffice-4-4

fdo#84909 remove insert image button from shapes toolbar (4.4)

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2015-01-06 17:09:03 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f1e83e0af3babca27ccfd30a071c0537b2db829&h=libreoffice-4-4

fdo#84909 moved presentation features to standard toolbar (4.4)

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2015-02-26 01:46:04 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41db10812bbe7fe6b5ebaab47f88084e6a0cf205

tdf#84909 Remove presentation button from outline toolbar

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2015-02-26 01:47:15 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe9f69f6c86b75bf42ec13aef76aab1975d51c6f

tdf#84909 Move slide view toolbar and hide slide sorter toolbar

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2015-03-23 06:31:09 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe889944d1faa84d4ccf9aae6926f18e392c68f5

tdf#84909 rearranged the buttons in the standard, drawing and line toolbars

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Mike §chinagl 2015-05-21 16:14:51 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Reorganize the user interface in Impress. Elaborate, this is a vague sentence! tdf#84909 (Yousuf Philips)
Comment 21 Commit Notification 2015-06-20 16:13:50 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2adb3c2b89344878fc9270d8816c2cb22ebb3713

tdf#84909 Additional tweaks to the standard, draw and text toolbars

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2015-06-24 07:58:37 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3138a31154ae064a01c718d25e346a1efd6707a7&h=libreoffice-5-0

tdf#84909 Additional tweaks to the standard, draw and text toolbars

It will be available in 5.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2015-06-28 14:16:08 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=605f2233ecce4be022d8fcdcab7b9e169efde393

tdf#84909 Hide rename master slide button in toolbar

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2015-06-29 07:14:47 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3589a30121a30f290e212ee1dcc2773e8bd277d&h=libreoffice-5-0

tdf#84909 Hide rename master slide button in toolbar

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2015-07-09 00:48:55 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=240d6c9fb84be66500136e3a2fb8e1ff309d2a54

tdf#84909 Draw: Drawing toolbar exclusive to shapes

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2015-07-10 09:57:53 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5be82d9765e5fc9bf072f588d02ffa4994ac0312&h=libreoffice-5-0

tdf#84909 Draw: Drawing toolbar exclusive to shapes

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2015-07-10 14:01:24 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf466946fd3d434aac4d2e9f284fa28b773358f2&h=libreoffice-5-0-0

tdf#84909 Draw: Drawing toolbar exclusive to shapes

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2015-10-01 13:44:21 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2cb9aa4a4549b216ff3747fb1a554d101499428b

tdf#84909 Impress: Move drawing and other toolbars to the top

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2015-12-07 15:47:23 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19c7af844f12436a48be2ef263ede8f0f27d257d

tdf#84909 Improvements to impress and draw toolbars

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2015-12-08 12:14:09 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ece6ec1571db2b3d8782884b5fc594d6c5412c4c&h=libreoffice-5-1

tdf#84909 Improvements to impress and draw toolbars

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2016-04-26 16:17:11 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=554a7a5c89d582bd638f4f21234e0a97119336a9

tdf#84909 Draw: Reorganize buttons in connector split button

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2016-06-09 19:34:42 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0e3a36f6508dcfa0a3c672e15e15f3582e02110

tdf#84909 Impress: Rearrange the standard toolbar

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2016-06-12 19:31:51 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=169b169e0190c3b9a8d9046c13e26b0652cc3e7e&h=libreoffice-5-2

tdf#84909 Impress: Rearrange the standard toolbar

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2017-06-13 13:24:09 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f442d454f11cc8d376a40216ba6bd7c7c870fdc0

tdf#84909 Add separator before clone formatting in toolbar

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2017-06-19 13:59:50 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea0606615661ba1f8131d24ee33e055b88b0056f&h=libreoffice-5-4

tdf#84909 Add separator before clone formatting in toolbar

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.